xine-lib: xine-lib-1.2.13/src/input/libreal/real.h File Reference

xine-lib 1.2.13-20230125hg15249

Functions
real.h File Reference
`#include "rmff.h"`
`#include "rtsp.h"`

Go to the source code of this file.

## Functions
void | real_calc_response_and_checksum (char *response, char *chksum, char *challenge)
int | real_get_rdt_chunk (rtsp_t *rtsp_session, unsigned char **buffer)
rmff_header_t * | real_parse_sdp (char *data, char **stream_rules, uint32_t bandwidth)
rmff_header_t * | real_setup_and_get_header (rtsp_t *rtsp_session, uint32_t bandwidth)

## Function Documentation

## ◆ real_calc_response_and_checksum()

void real_calc_response_and_checksum | ( | char * | response,
|  | char * | chksum,
|  | char * | challenge )

References _X_BE_32C, calc_response_string(), NULL, xor_table, and XOR_TABLE_LEN.

Referenced by real_setup_and_get_header().

## ◆ real_get_rdt_chunk()

int real_get_rdt_chunk | ( | rtsp_t * | rtsp_session,
|  | unsigned char ** | buffer )

References _X_BE_32, rmff_pheader_t::flags, rmff_pheader_t::length, lprintf, rmff_pheader_t::object_version, rmff_pheader_t::reserved, rmff_dump_pheader(), rtsp_read_data(), rmff_pheader_t::stream_number, rmff_pheader_t::timestamp, xine_buffer_ensure_size, and xine_hexdump().

Referenced by rtsp_session_read().

## ◆ real_parse_sdp()

rmff_header_t * real_parse_sdp | ( | char * | data,
|  | char ** | stream_rules,
|  | uint32_t | bandwidth )

References sdpplin_t::abstract, sdpplin_stream_t::asm_rule_book, asmrp_match(), sdpplin_t::author, sdpplin_stream_t::avg_bit_rate, sdpplin_stream_t::avg_packet_size, rmff_header_t::cont, sdpplin_t::copyright, rmff_header_t::data, sdpplin_stream_t::duration, rmff_header_t::fileheader, sdpplin_t::flags, lprintf, MAX, sdpplin_stream_t::max_bit_rate, sdpplin_stream_t::max_packet_size, sdpplin_stream_t::mime_type, sdpplin_stream_t::mlti_data, sdpplin_stream_t::mlti_data_size, NULL, sdpplin_stream_t::preroll, rmff_header_t::prop, rmff_fix_header(), rmff_new_cont(), rmff_new_dataheader(), rmff_new_fileheader(), rmff_new_mdpr(), rmff_new_prop(), sdpplin_free(), sdpplin_parse(), select_mlti_data(), sdpplin_stream_t::start_time, sdpplin_t::stream, sdpplin_t::stream_count, sdpplin_stream_t::stream_id, sdpplin_stream_t::stream_name, rmff_header_t::streams, sdpplin_t::title, xine_buffer_free, xine_buffer_init(), and xine_buffer_strcat.

Referenced by real_setup_and_get_header().

## ◆ real_setup_and_get_header()

rmff_header_t * real_setup_and_get_header | ( | rtsp_t * | rtsp_session,
|  | uint32_t | bandwidth )

References rmff_cont_t::author, rmff_header_t::cont, rmff_cont_t::copyright, lprintf, MAX_DESC_BUF, NULL, rmff_prop_t::num_streams, rmff_header_t::prop, real_calc_response_and_checksum(), real_parse_sdp(), rmff_fix_header(), rtsp_get_mrl(), rtsp_read_data(), rtsp_request_describe(), rtsp_request_setparameter(), rtsp_request_setup(), rtsp_schedule_field(), rtsp_search_answers(), rtsp_send_ok(), rmff_cont_t::title, xine_buffer_ensure_size, xine_buffer_free, and xine_buffer_init().

Referenced by rtsp_session_start().